## emoslib 000370+dfsg

=== crextables/Makefile ===
#
#                                 Makefile for  crextables
#
#
#
INSTALL_DATA= ${INSTALL} -m 644
prefix=/usr/local
datarootdir=${prefix}/share
datadir=${datarootdir}/crextables

TARGETS      = all clean install
#

FILES=		\
B000103		\
D000103		\
units.config.dat

all:  

clean:

install:
	@for i in $(FILES) ;  do                        \
                echo $(INSTALL_DATA) $$i $(datadir);   \
                $(INSTALL_DATA) $$i $(datadir);         \
        done 

.PHONY: all clean install

=== doc/Makefile ===
#
#                                 Makefile for libemos/doc
#
#
#
INSTALL_DATA= ${INSTALL} -m 644
prefix=/usr/local
datarootdir=${prefix}/share
docdir=${datarootdir}/doc

TARGETS      = all clean install
#

FILES=

all:  

clean:

install:
	@for i in $(FILES) ;  do                        \
                echo $(INSTALL_DATA) $$i $(docdir);   \
                $(INSTALL_DATA) $$i $(docdir);         \
        done 

.PHONY: all clean install

=== interpolation/Makefile ===
#
#                                 Makefile for libemos/interpolation
#
LIBRARY      = ../lib$(LIB)$(R64).a
#
include ../config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include ../options/options_$(ARCH)
#
TARGETS      = all clean
#
include sources.$(ARCH)
#
OBJECTS.F    = $(SOURCES.F:.F=.o) 
OBJECTS.f    = $(SOURCES.f:.f=.o)
OBJECTS.c    = $(SOURCES.c:.c=.o)
VECTOR.o     = $(VECTOR.F:.F=.o)
NO_OPT.o     = $(NO_OPT.F:.F=.o)
OBJECTS      = $(OBJECTS.F) $(OBJECTS.f) $(VECTOR.o) $(NO_OPT.o) $(OBJECTS.c)
#
#
.PRECIOUS: $(LIBRARY)

all: $(LIBRARY)

$(LIBRARY): $(OBJECTS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

$(VECTOR.o): $(VECTOR.F)
	$(FC) $(VECTFFLAGS) -c $<

$(NO_OPT.o): $(NO_OPT.F)
	$(FC) $(VECTFFLAGS) -c $<

include make.dep

clean:
	\rm -f $(OBJECTS) *.f
# DO NOT DELETE

areachk.o: parim.h nifld.common nofld.common
auresol.o: parim.h nifld.common nofld.common
chkprec.o: parim.h nifld.common
clear_c.o: parim.h nifld.common nofld.common grfixed.h current.h
ddstyle.o: jparams.h parim.h nofld.common
dssarea.o: parim.h nifld.common nofld.common
fixarea.o: parim.h nifld.common nofld.common grfixed.h intf.h
freecf.o: jparam2.h
gb2gb.o: jparams.h parim.h nofld.common
getconf.o: nifld.common parim.h jparams.h
ggintrp.o: parim.h
ggrotat.o: parim.h
hgengg.o: parim.h nofld.common
hgengrd.o: parim.h
hgengrw.o: parim.h
hgenll.o: parim.h
hgenllw.o: parim.h
hgetlsm.o: parim.h nifld.common nofld.common
hirlam.o: parim.h nifld.common nofld.common
hirlamw.o: parim.h nifld.common nofld.common jparams.h
hirlsm.o: parim.h nifld.common nofld.common
hll2ll.o: parim.h
hll2llw.o: parim.h
hnei12.o: parim.h
hneill.o: parim.h
hntfap.o: parim.h nifld.common nofld.common grfixed.h intf.h
hntfaph.o: parim.h nifld.common nofld.common grfixed.h intf.h jparams.h
hntfaph.o: current.h
hntfaps.o: parim.h nifld.common nofld.common grfixed.h intf.h
hntfau.o: parim.h nifld.common nofld.common grfixed.h intf.h
hntfauh.o: parim.h nifld.common nofld.common grfixed.h intf.h jparams.h
hntfauh.o: current.h intlog.h
hntfaus.o: parim.h nifld.common nofld.common grfixed.h intf.h
hntfbu.o: parim.h nifld.common nofld.common grfixed.h intf.h
hrg2gg.o: parim.h
hrg2ggw.o: parim.h
hrg2ll.o: parim.h
hrg2llw.o: parim.h nifld.common nofld.common
hsp2gg.o: parim.h
iafree.o: parim.h memreq.h nifld.common nofld.common
iagcntl.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
iaidef.o: parim.h nifld.common
iainit.o: parim.h memreq.h nifld.common nofld.common grfixed.h
iaintgg.o: parim.h nifld.common nofld.common grfixed.h ouspace.h
iaintll.o: parim.h nifld.common nofld.common grfixed.h ouspace.h
iaogdef.o: parim.h nofld.common
iaoldef.o: parim.h nofld.common
iarcntl.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
iareset.o: parim.h nofld.common
iarmem.o: parim.h nifld.common nofld.common ouspace.h
ibasini.o: parim.h nifld.common nofld.common intf.h
igalloc.o: parim.h memreq.h
igbess.o: jparams.h parim.h
igdins.o: parim.h
igdiwe.o: parim.h
igglat.o: jparams.h parim.h
iggmem.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
iggrid.o: parim.h
igint.o: parim.h
igintr.o: parim.h
iglgrid.o: parim.h
iglrev.o: parim.h
iglsize.o: parim.h
iglsm01.o: parim.h jparams.h
iglsmb.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
iglsmd.o: parim.h
iglsmr.o: parim.h
iglsmst.o: parim.h jparams.h
ignorm.o: parim.h
igplsm.o: parim.h
igpoleg.o: parim.h nifld.common
igpolew.o: parim.h nifld.common
igprec.o: parim.h nifld.common
igscan.o: parim.h
igsetup.o: parim.h nifld.common nofld.common
igsize.o: parim.h
igtog.o: parim.h nifld.common nofld.common
igtogr.o: parim.h nifld.common nofld.common
igtran.o: parim.h
init_cm.o: parim.h nifld.common nofld.common grfixed.h current.h
insane.o: parim.h nifld.common nofld.common grfixed.h
intf.o: parim.h nifld.common nofld.common grfixed.h intf.h
intfa.o: parim.h nifld.common nofld.common grfixed.h intf.h
intfap.o: parim.h nifld.common nofld.common grfixed.h intf.h
intfau.o: parim.h nifld.common nofld.common grfixed.h intf.h
intfb.o: parim.h nifld.common nofld.common grfixed.h intf.h jparams.h
intfbp.o: parim.h nifld.common nofld.common grfixed.h intf.h
intfbu.o: parim.h nifld.common nofld.common grfixed.h intf.h
intfc.o: parim.h nifld.common nofld.common grfixed.h
intin.o: parim.h nifld.common nofld.common grfixed.h current.h
intisl.o: parim.h intisl.h nifld.common nofld.common
intlog.o: parim.h intlog.h
intlogd.o: intlog.h
intlogr.o: parim.h intlog.h
intocn.o: parim.h
intout.o: parim.h nifld.common nofld.common grfixed.h current.h
intpnum.o: grprs.h
intuvdh.o: parim.h intf.h nifld.common nofld.common
intuvf.o: parim.h nifld.common nofld.common grfixed.h intf.h
intuvgh.o: parim.h nifld.common nofld.common grfixed.h intf.h intlog.h
intuvgh.o: current.h
intuvp.o: parim.h nifld.common nofld.common grfixed.h intf.h
intuvph.o: parim.h nifld.common nofld.common grfixed.h intf.h
intuvs.o: parim.h nifld.common nofld.common grfixed.h intf.h
intuvu.o: parim.h nifld.common nofld.common grfixed.h intf.h
intuvxh.o: parim.h nifld.common nofld.common intf.h current.h
intvect.o: parim.h nifld.common nofld.common intf.h current.h
intwave.o: parim.h nifld.common nofld.common intf.h grfixed.h
irdiwe.o: parim.h
irgmem.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
irgrid.o: parim.h nifld.common
irgtog.o: parim.h nifld.common nofld.common
irint.o: parim.h
irintr.o: parim.h
irlrev.o: parim.h
irlsmb.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
irprec.o: parim.h nifld.common
irscan.o: parim.h
irsize.o: parim.h
iscrsz.o: parim.h nifld.common nofld.common grfixed.h
islproc.o: intisl.h parim.h nifld.common nofld.common
issame.o: parim.h nifld.common nofld.common grfixed.h
jacobi.o: jparams.h parim.h
jacobif.o: jparams.h parim.h
jagggp.o: jparams.h parim.h current.h nifld.common nofld.common grfixed.h
jallgp.o: jparams.h parim.h nifld.common
jallwn.o: jparams.h parim.h nifld.common
jdebug.o: jparams.h jparam2.h
jgetgg.o: parim.h nifld.common nofld.common grfixed.h intf.h rgauss_032.h
jgetgg.o: rgauss_048.h rgauss_080.h rgauss_080_19940113.h rgauss_128.h
jgetgg.o: rgauss_160.h rgauss_160_19931222.h rgauss_200.h rgauss_256.h
jgetgg.o: rgauss_320.h rgauss_400.h rgauss_512.h rgauss_1024.h
jgglat.o: jparams.h parim.h
jintgg.o: jparams.h parim.h
jintll.o: jparams.h parim.h
jjset99.o: jparams.h parim.h
jmakgg.o: jparams.h parim.h
jmakgg3.o: jparams.h parim.h
jmakll.o: jparams.h parim.h
jmakll3.o: jparams.h parim.h
jmemhan.o: jparams.h jparam2.h parim.h
jmovgg.o: jparams.h parim.h
jmovll.o: jparams.h parim.h
jmvugg.o: jparams.h parim.h
jmvull.o: jparams.h parim.h
jnorsgg.o: parim.h
jnumgg.o: jparams.h parim.h
jnumggq.o: jparams.h parim.h
jopngg.o: parim.h
jopnggf.o: parim.h jparams.h jparam2.h
jopnll.o: parim.h
jopnllf.o: parim.h jparams.h jparam2.h
jreadgg.o: jparams.h parim.h
jreadll.o: jparams.h parim.h
jsgggp.o: jparams.h parim.h current.h nifld.common nofld.common grfixed.h
jsllgp.o: jparams.h parim.h nifld.common
jspleg1.o: jparams.h
jstrll.o: jparams.h parim.h nifld.common
jstrwll.o: jparams.h parim.h nifld.common
jsymgg.o: jparams.h parim.h nifld.common
jsymll.o: jparams.h parim.h nifld.common
juvpole.o: jparams.h parim.h current.h nofld.common grfixed.h
jwindll.o: jparams.h parim.h nifld.common
jwscal.o: jparams.h
kintrg.o: intisl.h parim.h nifld.common nofld.common
knfrom4.o: intisl.h parim.h nifld.common
krg2rg.o: parim.h intisl.h nifld.common nofld.common
krg2rgu.o: parim.h intisl.h nifld.common nofld.common
lrekam.o: parim.h nofld.common
lsmfld.o: parim.h nifld.common nofld.common
makerl.o: parim.h nofld.common
mkbitmp.o: parim.h jparams.h nofld.common
mkframe.o: parim.h jparams.h
newisl.o: intisl.h parim.h
ngintrp.o: parim.h
ngrotat.o: parim.h intf.h
nmakgg.o: jparams.h parim.h
nmakll.o: jparams.h parim.h
oceanp.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
oceanp.o: intf.h
pddefs.o: parim.h nifld.common
ppallow.o: jparams.h parim.h
precip.o: parim.h nifld.common nofld.common
reset_c.o: parim.h nifld.common nofld.common grfixed.h current.h
rphi.o: jparams.h
set99.o: jparams.h
sprotat.o: parim.h
tatorgg.o: parim.h
w251idx.o: parim.h
waveidx.o: parim.h
wavexxx.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
wv2di32.o: parim.h
wv2didx.o: parim.h
wv2dint.o: parim.h
wv2dx32.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
wv2dxxx.o: parim.h nifld.common nofld.common grspace.h grfixed.h grdynam.h
wvqlidx.o: parim.h
wvqlint.o: parim.h
zprec.o: parim.h nifld.common

## emoslib 000380+dfsg

=== Makefile ===
# Makefile for libemos
#
TARGETS = all clean
LIBRARY = libemos$(R64).a
SHELL=/bin/sh
SUBDIRS = gribex interpolation bufrdc crexdc pbio fft bufrtables


all :
	@for name in $(SUBDIRS); do\
	( echo "*************************"; \
	echo "*** Make in $$name "; \
	echo "*************************"; \
	cd $$name ; make LIB=emos; ) done

clean   :
	@for name in $(SUBDIRS); do\
	( echo "*** Clean in $$name ***" ;cd $$name ; make clean ); \
	done
	rm -f $(LIBRARY)

=== crexdc/Makefile ===
#
#                                 Makefile for crexdc
#
LIBRARY = ../lib$(LIB)$(R64).a
#
include ../config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include ../options/options_$(ARCH)
#
TARGETS      = all clean
#
include sources
#
OBJECTS.F    = $(SOURCES.F:.F=.o) 
OBJECTS.f    = $(SOURCES.f:.f=.o)
OBJECTS.c    = $(SOURCES.c:.c=.o)
OBJECTS      = $(OBJECTS.F) $(OBJECTS.f) $(OBJECTS.c)
#
#
.PRECIOUS: $(LIBRARY)

all: $(LIBRARY)

$(LIBRARY): $(OBJECTS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

clean:
	\rm -f $(OBJECTS) *.f

=== fft/Makefile ===
#
#                                 Makefile for libemos/bufrdc
#
LIBRARY      = ../lib$(LIB)$(R64).a
#
include ../config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include ../options/options_$(ARCH)
#
TARGETS      = all clean
#
include sources
#
OBJECTS.F    = $(SOURCES.F:.F=.o) 
OBJECTS.f    = $(SOURCES.f:.f=.o)
OBJECTS.c    = $(SOURCES.c:.c=.o)
OBJECTS      = $(OBJECTS.F) $(OBJECTS.f) $(OBJECTS.c)
#
#
.PRECIOUS: $(LIBRARY)

all: $(LIBRARY)

$(LIBRARY): $(OBJECTS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

clean:
	\rm -f $(OBJECTS)

=== debian/control ===
Source: emoslib
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: cdbs, debhelper (>> 7), dh-buildinfo, gfortran, autoconf, automake
Standards-Version: 3.8.4
Homepage: http://www.ecmwf.int/products/data/software/interpolation.html

Package: libemos0d
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libemos-data
Description: ECMWF Interpolation Library
 The Interpolation library (EMOSLIB) includes Interpolation software and GRIB, 
 BUFR, CREX encoding/decoding routines. It is used by the ECMWF meteorological 
 archival and retrieval system (MARS) and also by the ECMWF graphics 
 package MetView.

Package: libemos-dev
Section: libdevel
Architecture: any
Depends: libemos0d ( = ${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Description: ECMWF Interpolation Library - development
 The Interpolation library (EMOSLIB) includes Interpolation software and GRIB, 
 BUFR, CREX encoding/decoding routines. It is used by the ECMWF meteorological 
 archival and retrieval system (MARS) and also by the ECMWF graphics 
 package MetView.
 .
 This package contains the static libraries and headers needed to build 
 applications against libemos.

Package: libemos-data
Architecture: any
Depends: ${misc:Depends}
Description: Data files for the ECMWF Interpolation library
 The Interpolation library (EMOSLIB) includes Interpolation software and GRIB, 
 BUFR, CREX encoding/decoding routines. It is used by the ECMWF meteorological 
 archival and retrieval system (MARS) and also by the ECMWF graphics 
 package MetView.
 .
 This package contains the data files needed by EMOSLIB.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk
# include /usr/share/cdbs/1/rules/patchsys-quilt.mk

CFLAGS += -fPIC

DEB_MAKE_CHECK_TARGET := check
DEB_MAKE_CLEAN_TARGET := clean distclean maintainer-clean

# Compile into the shlib all but certain duplicated object files

clean::
	$(MAKE) ARCH=linux CNAME=_gfortran clean
	rm -f libemos.a libemosR64.a debian/libemos*.so.* 
	rm -f .r64 .emos 
	rm -f bufrdc/*.o
	find bufrtables -type l -exec rm {} \;

build:
	autoreconf -if
	./configure
	( cd gribex && ln -sf ../config.h config.h )
	# FIXME: Need to edit TABLE_PATH as per build_library
	echo debian/libemos1/usr/share > .emos
	# First build libemos.a
	$(MAKE) ARCH=linux CNAME=_gfortran R64= clean all
	# Then rebuild pic for objects ...
	$(MAKE) ARCH=linux CNAME=_gfortran+pic R64= clean all
	# Link them into libemos.so
	$(MAKE) -f debian/build-shlib R64=
	# And repeat for 64-bit reals.
	$(MAKE) ARCH=linux CNAME=_gfortran R64=R64 clean all 
	$(MAKE) ARCH=linux CNAME=_gfortran+pic  R64=R64 clean all 
	$(MAKE) -f debian/build-shlib R64=R64

binary-install/libemos-data::
	echo "" > .r64
	echo "debian/libemos-data/usr/share/emos" > .emos
	./install
	find debian/libemos-data/usr/share -type f -exec chmod 644 {} \;
	rm debian/libemos-data/usr/share/emos/libemos.a

binary-install/libemos-dev::
	make -C pkgconfig install
	chmod a-x debian/libemos-dev/usr/share/doc/libemos-dev/examples/*/*

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo

## emoslib 000382+dfsg

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: cdbs, debhelper (>> 7), dh-buildinfo, gfortran, autoconf, automake
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>=8.1.3~), dh-autoreconf (>= 4), gfortran, autoconf, automake, libgrib-api-dev (>= 1.9.9~)
+Standards-Version: 3.9.2
 Homepage: http://www.ecmwf.int/products/data/software/interpolation.html
 
 Package: libemos0d
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}, libemos-data
+Pre-Depends: ${misc:Pre-Depends}
 Description: ECMWF Interpolation Library
  The Interpolation library (EMOSLIB) includes Interpolation software and GRIB, 
  BUFR, CREX encoding/decoding routines. It is used by the ECMWF meteorological 
@@ -19,6 +21,8 @@
 Package: libemos-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libemos0d ( = ${binary:Version}), ${misc:Depends}
 Recommends: pkg-config
 Description: ECMWF Interpolation Library - development

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@  --with autoreconf

DESTDIR:=`pwd`/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_clean:
	$(MAKE) ARCH=linux CNAME=_gfortran clean
	rm -f libemos* debian/libemos*.so.*
	rm -f .r64 .emos bufrdc/*.o
	find bufrtables -type l -delete

override_dh_auto_test:
	@echo "Tests not available"

override_dh_auto_build:
	( cd gribex && ln -sf ../config.h config.h )
	# First build libemos.a
	$(MAKE) ARCH=linux CNAME=_gfortran A64= R64= GRIB_API_MERGING=grib_api_merging clean all
	# Then rebuild pic for objects ...
	$(MAKE) ARCH=linux CNAME=_gfortran+pic A64= R64= GRIB_API_MERGING=grib_api_merging clean all
	# Link them into libemos.so
	$(MAKE) -f debian/build-shlib R64= DESTDIR=$(DESTDIR) LIBDIR=$(LIBDIR)
	# And repeat for 64-bit reals.
	$(MAKE) ARCH=linux CNAME=_gfortran R64=R64 A64= GRIB_API_MERGING=grib_api_merging clean all 
	$(MAKE) ARCH=linux CNAME=_gfortran+pic  R64=R64 A64= GRIB_API_MERGING=grib_api_merging clean all 
	$(MAKE) -f debian/build-shlib R64=R64 DESTDIR=$(DESTDIR) LIBDIR=$(LIBDIR)

override_dh_auto_install:
	chmod a-x examples/*/*
	mkdir -p $(DESTDIR)/$(LIBDIR)
	mv libemos* debian/libemos*.0d  $(DESTDIR)/$(LIBDIR)
	echo "" > .r64
	echo "$(DESTDIR)/usr/share/emos" > .emos
	ls bufrtables/*000* > .list/bufrtables
	mkdir -p $(DESTDIR)/usr/share/emos
	./install
	find $(DESTDIR)/usr/share -type f -exec chmod 644 {} \;
	$(MAKE) -C pkgconfig install prefix=$(DESTDIR)/usr
	# multi-arch
	dh_link -p  libemos-dev $(LIBDIR)/libemos.so.0d $(LIBDIR)/libemos.so
	dh_link -p  libemos-dev $(LIBDIR)/libemosR64.so.0d $(LIBDIR)/libemosR64.so

## emoslib 000392%2Bdfsg.1

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 #
 TARGETS = all clean
 LIBRARY = libemos$(R64).a
+GRIB_API_MERGING=
 SHELL=/bin/sh
-SUBDIRS = gribex interpolation bufrdc crexdc pbio fft bufrtables
+SUBDIRS = gribex interpolation bufrdc crexdc pbio fft bufrtables $(GRIB_API_MERGING)
 
 
 all :

=== interpolation/Makefile ===
--- 
+++ 
@@ -11,12 +11,13 @@
 #
 include sources.$(ARCH)
 #
+OBJECTS.F90  = $(SOURCES.F90:.F90=.o) 
 OBJECTS.F    = $(SOURCES.F:.F=.o) 
 OBJECTS.f    = $(SOURCES.f:.f=.o)
 OBJECTS.c    = $(SOURCES.c:.c=.o)
 VECTOR.o     = $(VECTOR.F:.F=.o)
 NO_OPT.o     = $(NO_OPT.F:.F=.o)
-OBJECTS      = $(OBJECTS.F) $(OBJECTS.f) $(VECTOR.o) $(NO_OPT.o) $(OBJECTS.c)
+OBJECTS      = $(OBJECTS.F90) $(OBJECTS.F) $(OBJECTS.f) $(VECTOR.o) $(NO_OPT.o) $(OBJECTS.c)
 #
 #
 .PRECIOUS: $(LIBRARY)

=== examples/interpolation/Makefile ===
#
#                                 Makefile for example programs
#
PLACE = ../../
LIB = emos
#
include $(PLACE)config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include $(PLACE)options/options_$(ARCH)
#
#
TARGETS = all clean
EXECS   = interpolation_example
#
#
all: $(EXECS)

interpolation_example: interpolation_example.o
	$(FC) $(FFLAGS) -o $@ interpolation_example.o -L$(PLACE) -l$(LIB)$(R64)

clean:
	@for name in $(EXECS) ; do\
	(rm -f $$name $$name.o $$name.f); \
	done

## emoslib 000392+dfsg.1

=== bufrdc/Makefile ===
#
#                                 Makefile for bufrdc
#
LIBRARY = ../lib$(LIB)$(R64).a
#
include ../config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include ../options/options_$(ARCH)
#
TARGETS      = all clean
#
include sources
#
OBJECTS.F    = $(SOURCES.F:.F=.o) 
OBJECTS.f    = $(SOURCES.f:.f=.o)
OBJECTS.c    = $(SOURCES.c:.c=.o)
OBJECTS      = $(OBJECTS.F) $(OBJECTS.f) $(OBJECTS.c)
#
#
.PRECIOUS: $(LIBRARY)

all: $(LIBRARY)

$(LIBRARY): $(OBJECTS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

clean:
	\rm -f $(OBJECTS)

=== bufrtables/Makefile ===
#
#                                 Makefile for bufrtables
#
LIBRARY  = ../lib$(LIB)$(R64).a
#
include ../config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include ../options/options_$(ARCH)
#
TARGETS      = all clean
#
SOURCES.F=

LINKS=    B0000000000099010001.TXT \
          D0000000000098011000.TXT \
          D0000000000078011007.TXT \
          B0000000000098011000.TXT \
          B0000000000098010000.TXT \
          B0000000000089011255.TXT \
          B0000000000078011007.TXT \
          D0000000000099010001.TXT \
          D0000000000089012001.TXT \
          D0000000000078011008.TXT \
          D0000000000034011001.TXT \
          B0000000000089012001.TXT \
          B0000000000078011008.TXT \
          B0000000000034011001.TXT \
          B0000000000254010001.TXT \
          D0000000000254010001.TXT \
          B0000000000000007000.TXT \
          D0000000000000007000.TXT \
          B0000000000000008000.TXT \
          D0000000000000008000.TXT \
          B0000000000000009000.TXT \
          D0000000000000009000.TXT \
          B0000000000000010000.TXT \
          D0000000000000010000.TXT \
          B0000000000000011000.TXT \
          D0000000000000011000.TXT \
          B0000000000000012000.TXT \
          D0000000000000012000.TXT \
          B0000000000098007001.TXT \
          D0000000000098007001.TXT \
          B0000000000098008001.TXT \
          D0000000000098008001.TXT \
          B0000000000098009001.TXT \
          D0000000000098009001.TXT \
          B0000000000098010001.TXT \
          D0000000000098010001.TXT \
          B0000000000098011001.TXT \
          D0000000000098011001.TXT \
          B0000000000098012001.TXT \
          D0000000000098012001.TXT 


#
OBJECTS.F    = $(SOURCES.F:.F=.o) 
OBJECTS.c    = $(SOURCES.c:.c=.o)
OBJECTS      = $(OBJECTS.F) $(OBJECTS.c) 
#
#
all:  links bufr2txt_tables bufr_split_tables txt2bufr_tables

links: 
	./links.sh

bufr2txt_tables: bufr2txt_tables.f
	$(FC) $(FFLAGS) -o bufr2txt_tables bufr2txt_tables.f $(LIBRARY)
bufr_split_tables: bufr_split_tables.f
	$(FC) $(FFLAGS) -o bufr_split_tables bufr_split_tables.f $(LIBRARY)
txt2bufr_tables: txt2bufr_tables.f
	$(FC) $(FFLAGS) -o txt2bufr_tables txt2bufr_tables.f $(LIBRARY)

clean:
	\rm -f $(LINKS) *.o
	\rm -f bufr2txt_tables; \rm -f bufr_split_tables; \rm -f txt2bufr_tables

=== crexdc/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 
 all: $(LIBRARY)
 
+#$(LIBRARY) : $(LIBRARY)($(OBJECTS))
 $(LIBRARY): $(OBJECTS)
 	$(AR) $(ARFLAGS) $@ $?
 	$(RANLIB) $@

=== fft/Makefile ===
--- 
+++ 
@@ -21,9 +21,10 @@
 
 all: $(LIBRARY)
 
-$(LIBRARY): $(OBJECTS)
-	$(AR) $(ARFLAGS) $@ $?
-	$(RANLIB) $@
+	$(LIBRARY) : $(LIBRARY)($(OBJECTS))
+#$(LIBRARY): $(OBJECTS)
+	#$(AR) $(ARFLAGS) $@ $?
+	#$(RANLIB) $@
 
 clean:
 	\rm -f $(OBJECTS)

=== grib_api_merging/Makefile ===
#
#
LIBRARY      = ../lib$(LIB)$(R64).a

GRIB_API_RELEASE = 1.9.8
GRIB_API_PATH = /usr/local/lib/metaps/lib/grib_api/$(GRIB_API_RELEASE)
GRIB_API_INC = -I$(GRIB_API_PATH)/include
#
include ../config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
#
TARGETS      = all clean
#
include sources
#
OBJECTS.o    = $(SOURCES.c:.c=.o)
OBJECTS      = $(OBJECTS.o)
#
#
.PRECIOUS: $(LIBRARY) 

all: $(LIBRARY)

$(OBJECTS.o): $(SOURCES.c)
	$(CC) $(CFLAGS) $(GRIB_API_INC) -c $(SOURCES.c)

$(LIBRARY): $(OBJECTS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

clean:
	\rm -f $(OBJECTS)

=== gribex/Makefile ===
#
#                                 Makefile for libemos/gribex
#
LIBRARY      = ../lib$(LIB)$(R64).a
#
include ../config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include ../options/options_$(ARCH)
#
TARGETS      = all clean
#
include sources.$(ARCH)
#
OBJECTS.F    = $(SOURCES.F:.F=.o) 
OBJECTS.c    = $(SOURCES.c:.c=.o)
OBJECTS      = $(OBJECTS.F) $(OBJECTS.c) 
#
#
.PRECIOUS: $(LIBRARY) 

all: $(LIBRARY)

$(LIBRARY): $(OBJECTS) $(EXTRAOBJ)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

include make.dep

clean:
	\rm -f $(OBJECTS) *.f

=== pbio/Makefile ===
#
#                                 Makefile for libemos/pbio
#
LIBRARY      = ../lib$(LIB)$(R64).a
#
include ../config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include ../options/options_$(ARCH)
#
TARGETS      = all clean
#
include sources.$(ARCH)
#
OBJECTS.F    = $(SOURCES.F:.F=.o) 
OBJECTS.c    = $(SOURCES.c:.c=.o)
OBJECTS      = $(OBJECTS.F) $(OBJECTS.c)
FASTOBJ.o    = $(FASTSRC.c:.c=.o)
FASTOBJ      = $(FASTOBJ.o)
#
#
.PRECIOUS: $(LIBRARY) 

all: $(LIBRARY)

$(FASTOBJ.o): $(FASTSRC.c)
	$(CC) $(FASTCFLAGS) -c $(FASTSRC.c)

$(LIBRARY): $(OBJECTS) $(FASTOBJ)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

include make.dep

clean:
	\rm -f $(OBJECTS) $(FASTOBJ) *.f

=== examples/bufr/Makefile ===
#
#                                 Makefile for example programs
#
PLACE = ../../
LIB = emos
#
include $(PLACE)config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include $(PLACE)options/options_$(ARCH)
#
include ../../config/fortran2c$(CNAME)
#
TARGDIR  = ./
#
#
TARGETS  = all clean
EXECS    = decode_bufr decode_bufr_image bufr_decode tdexp create_bufr bufr2crex crex2bufr
#
#
all :$(EXECS)

decode_bufr: decode_bufr.o 
	$(FC) $(FFLAGS) -o $@ decode_bufr.o -L$(PLACE) -l$(LIB)$(R64)

decode_bufr_image: decode_bufr_image.o
	$(FC) $(FFLAGS) -o $@ decode_bufr_image.o -L$(PLACE) -l$(LIB)$(R64)

bufr_decode: bufr_decode.o 
	$(CC) $(CFLAGS) -o $@ bufr_decode.o -L$(PLACE) -l$(LIB)$(R64) $(FORTRAN2C)

bufr2crex   : bufr2crex.o
	$(FC) $(FFLAGS) -o $@ bufr2crex.o -L$(PLACE) -l$(LIB)$(R64)

crex2bufr   : crex2bufr.o
	$(FC) $(FFLAGS) -o $@ crex2bufr.o -L$(PLACE) -l$(LIB)$(R64)

create_bufr: create_bufr.o
	$(FC) $(FFLAGS) -o $@ create_bufr.o -L$(PLACE) -l$(LIB)$(R64)

tdexp: tdexp.o
	$(FC) $(FFLAGS) -o $@ tdexp.o -L$(PLACE) -l$(LIB)$(R64)

clean   :
	@for name in $(EXECS); do\
	(rm -f $$name *.o ); \
	done

=== examples/crex/Makefile ===
#
#                                 Makefile for example programs
#
#
PLACE = ../../
LIB = emos
#

include $(PLACE)config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include $(PLACE)options/options_$(ARCH)
#
#
TARGETS  = all clean
EXECS    = decode_crex create_crex crextdexp bufr2crex crex2bufr
#
#
all :$(EXECS)

decode_crex : decode_crex.o 
	$(FC) $(FFLAGS) -o $@  decode_crex.o -L$(PLACE) -l$(LIB)$(R64)

create_crex : create_crex.o
	$(FC) $(FFLAGS) -o $@ create_crex.o -L$(PLACE) -l$(LIB)$(R64)

crextdexp   : crextdexp.o
	$(FC) $(FFLAGS) -o $@ crextdexp.o -L$(PLACE) -l$(LIB)$(R64)

bufr2crex   : bufr2crex.o
	$(FC) $(FFLAGS) -o $@ bufr2crex.o -L$(PLACE) -l$(LIB)$(R64)

crex2bufr   : crex2bufr.o
	$(FC) $(FFLAGS) -o $@ crex2bufr.o -L$(PLACE) -l$(LIB)$(R64)

clean   :
	@for name in $(EXECS); do\
	(rm -f $$name *.o ); \
	done

=== examples/fft/Makefile ===
#
#                                 Makefile for example programs
#
PLACE = ../../
LIB = emos
#
include $(PLACE)config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include $(PLACE)options/options_$(ARCH)
#
TARGDIR  = ./
#
#
TARGETS  = all clean
EXECS    = fft
#
#
all :$(EXECS)

fft: fft.o 
	$(FC) $(FFLAGS) -o $@ fft.o -L$(PLACE) -l$(LIB)$(R64)

clean   :
	@for name in $(EXECS); do\
	(rm -f $$name *.o ); \
	done

=== examples/gribex/Makefile ===
#
#                                 Makefile for example programs
#
LIBPATH = ../../
#
include ../../config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include ../../options/options_$(ARCH)
#
TARGETS = all clean
EXECS   = agrdemo find_t 
#
#
all: $(EXECS)

agrdemo: agrdemo.o
	$(FC) $(FFLAGS) -o $@ agrdemo.o -L$(LIBPATH) -lemos$(R64)

find_t: find_t.o
	$(FC) $(FFLAGS) -o $@ find_t.o -L$(LIBPATH) -lemos$(R64)


clean:
	@for name in $(EXECS) ; do\
	(rm -f $$name $$name.o $$name.f); \
	done

=== examples/interpolation_grib_api/Makefile ===
#
#                                 Makefile for example programs
#
GRIB_API=libgrib_api.a
JASPER=/usr/lib/libjasper.a
PLACE = ../../
LIBEMOS = $(PLACE)$(LIB)$(R64)
LIB = emos
#
include $(PLACE)config/config.$(ARCH)$(CNAME)$(R64)$(A64)
#
include $(PLACE)options/options_$(ARCH)
#
#
TARGETS = all clean
EXECS   = interpolation_example
#
#
all: $(EXECS)

interpolation_example: interpolation_example.o $(LIBEMOS)
	$(FC) $(FFLAGS) -o $@ interpolation_example.o $(LIBEMOS) $(GRIB_API) $(JASPER)

clean:
	@for name in $(EXECS) ; do\
	(rm -f $$name $$name.o $$name.f); \
	done

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>=8.1.3~), dh-autoreconf (>= 4), gfortran, autoconf, automake, libgrib-api-dev (>= 1.9.9~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>=9), dh-autoreconf (>= 4), gfortran, autoconf, automake, libgrib-api-dev (>= 1.9.9~)
+Standards-Version: 3.9.5
 Homepage: http://www.ecmwf.int/products/data/software/interpolation.html
 
 Package: libemos0d
@@ -21,7 +21,7 @@
 Package: libemos-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: foreign
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libemos0d ( = ${binary:Version}), ${misc:Depends}
 Recommends: pkg-config
@@ -37,6 +37,7 @@
 Package: libemos-data
 Architecture: any
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Data files for the ECMWF Interpolation library
  The Interpolation library (EMOSLIB) includes Interpolation software and GRIB, 
  BUFR, CREX encoding/decoding routines. It is used by the ECMWF meteorological

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 DESTDIR:=`pwd`/debian/tmp/
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
-
+SUBDIRS=" gribex interpolation bufrdc crexdc pbio fft bufrtables grib_api_merging" 
 override_dh_auto_clean:
 	$(MAKE) ARCH=linux CNAME=_gfortran clean
 	rm -f libemos* debian/libemos*.so.*
-	rm -f .r64 .emos bufrdc/*.o
+	rm -f .r64 .emos bufrdc/*.o fft/*.o grib_api_merging/*.o
 	find bufrtables -type l -delete
 
 override_dh_auto_test:
@@ -22,14 +22,14 @@
 override_dh_auto_build:
 	( cd gribex && ln -sf ../config.h config.h )
 	# First build libemos.a
-	$(MAKE) ARCH=linux CNAME=_gfortran A64= R64= GRIB_API_MERGING=grib_api_merging clean all
+	$(MAKE) SUBDIRS=$(SUBDIRS) ARCH=linux CNAME=_gfortran A64= R64= GRIB_API_MERGING=grib_api_merging clean all
 	# Then rebuild pic for objects ...
-	$(MAKE) ARCH=linux CNAME=_gfortran+pic A64= R64= GRIB_API_MERGING=grib_api_merging clean all
+	$(MAKE) SUBDIRS=$(SUBDIRS) ARCH=linux CNAME=_gfortran+pic A64= R64= GRIB_API_MERGING=grib_api_merging clean all
 	# Link them into libemos.so
 	$(MAKE) -f debian/build-shlib R64= DESTDIR=$(DESTDIR) LIBDIR=$(LIBDIR)
 	# And repeat for 64-bit reals.
-	$(MAKE) ARCH=linux CNAME=_gfortran R64=R64 A64= GRIB_API_MERGING=grib_api_merging clean all 
-	$(MAKE) ARCH=linux CNAME=_gfortran+pic  R64=R64 A64= GRIB_API_MERGING=grib_api_merging clean all 
+	$(MAKE) SUBDIRS=$(SUBDIRS) ARCH=linux CNAME=_gfortran R64=R64 A64= GRIB_API_MERGING=grib_api_merging clean all 
+	$(MAKE) SUBDIRS=$(SUBDIRS) ARCH=linux CNAME=_gfortran+pic  R64=R64 A64= GRIB_API_MERGING=grib_api_merging clean all 
 	$(MAKE) -f debian/build-shlib R64=R64 DESTDIR=$(DESTDIR) LIBDIR=$(LIBDIR)
 
 override_dh_auto_install:
